from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'dict/$', DictView.as_view()),
    url(r'get_school/$', SchoolView.as_view()), # 学校管理
    url(r'school_tree/$', SchoolTreeView.as_view()),
]

router = SimpleRouter()
router.register(r'config',ConfigViewSet)
router.register(r'school',SchoolViewSet)
router.register(r'grade',GradeViewSet)
router.register(r'student',StudentViewSet)

urlpatterns += router.urls
